--- 
vendor: "ESRI"
id: "4"
title: "FiberOpticCable"
properties: 
  OBJECTID: 
    type: "integer"
    esriType: "esriFieldTypeOID"
  cablename: 
    type: "string"
    esriLength: 255
    esriType: "esriFieldTypeString"
  fibercount: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  cabletype: 
    type: "string"
    esriLength: 255
    esriType: "esriFieldTypeString"
  infrastructureclass: 
    type: "string"
    esriLength: 255
    esriType: "esriFieldTypeString"
  Manufacturer: 
    type: "string"
    esriLength: 255
    esriType: "esriFieldTypeString"
  Model: 
    type: "string"
    esriLength: 255
    esriType: "esriFieldTypeString"
  CableMode: 
    type: "string"
    esriLength: 255
    esriType: "esriFieldTypeString"
  ownedby: 
    type: "string"
    esriLength: 50
    esriType: "esriFieldTypeString"
  maintby: 
    type: "string"
    esriLength: 50
    esriType: "esriFieldTypeString"
  maintby_emerg: 
    type: "string"
    esriLength: 255
    esriType: "esriFieldTypeString"
  locateby: 
    type: "string"
    esriLength: 255
    esriType: "esriFieldTypeString"
  installdate: 
    type: "string"
    format: "date-time"
    esriType: "esriFieldTypeDate"
  source: 
    type: "string"
    esriLength: 24
    esriType: "esriFieldTypeString"
  ref1: 
    type: "string"
    esriLength: 255
    esriType: "esriFieldTypeString"
  ref1_id: 
    type: "string"
    esriLength: 255
    esriType: "esriFieldTypeString"
  ref2: 
    type: "string"
    esriLength: 255
    esriType: "esriFieldTypeString"
  ref2_id: 
    type: "string"
    esriLength: 255
    esriType: "esriFieldTypeString"
  contract_id: 
    type: "string"
    esriLength: 255
    esriType: "esriFieldTypeString"
  Notes: 
    type: "string"
    esriLength: 255
    esriType: "esriFieldTypeString"
  lessee1: 
    type: "string"
    esriLength: 255
    esriType: "esriFieldTypeString"
  lessee2: 
    type: "string"
    esriLength: 255
    esriType: "esriFieldTypeString"
  lessee3: 
    type: "string"
    esriLength: 255
    esriType: "esriFieldTypeString"
  lessee4: 
    type: "string"
    esriLength: 255
    esriType: "esriFieldTypeString"
  lessee_cnt: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  created_user: 
    type: "string"
    esriLength: 255
    esriType: "esriFieldTypeString"
  created_date: 
    type: "string"
    format: "date-time"
    esriType: "esriFieldTypeDate"
  last_edited_user: 
    type: "string"
    esriLength: 255
    esriType: "esriFieldTypeString"
  last_edited_date: 
    type: "string"
    format: "date-time"
    esriType: "esriFieldTypeDate"
  ESRIGNSS_AVG_H_RMS: 
    type: "number"
    esriType: "esriFieldTypeDouble"
  ESRIGNSS_AVG_V_RMS: 
    type: "number"
    esriType: "esriFieldTypeDouble"
  GlobalID: 
    type: "integer"
    esriType: "esriFieldTypeGlobalID"
  VALIDATIONSTATUS: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  Shape: 
    format: "geometry-linestring"
    esriType: "esriFieldTypeGeometry"
  Shape.STLength__: 
    type: "number"
    esriType: "esriFieldTypeDouble"
type: "object"
$schema: "https://json-schema.org/draft/2020-12/schema"